Bug Hunting Session
Bug 62050 - EDITING: comments window in RTL UI not working well
Summary: EDITING: comments window in RTL UI not working well
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: navin patidar
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2013-03-09 09:03 UTC by abdulmajeed
Modified: 2013-03-25 12:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description abdulmajeed 2013-03-09 09:03:58 UTC
How to reproduce 
1-insert 
2- comment 
3-type any thing 
you will notice the cursor moving is reversed 
also if typed any word and hit space it will duplicate the word

this problem appears in the RTL UI and no matter what is the writing language
Comment 1 navin patidar 2013-03-10 06:28:26 UTC
I  confirm it.
Comment 2 Lior Kaplan 2013-03-12 11:56:21 UTC
Confirmed with 4.0.0.3
Comment 3 Commit Notification 2013-03-20 07:13:11 UTC
navin patidar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79dd315e9b19ec3bc6601c359a0ecb6d576d4aa8

fix fdo#62050 : Initially disable RTL for comment window.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-03-23 07:14:14 UTC
navin patidar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=092bf2fb0052ca73855127dc03ff1ae3f9321506

fix fdo#62050: for impress



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Lior Kaplan 2013-03-25 10:16:23 UTC
I verified the fix on a build from master (both writer and impress).
Comment 6 Commit Notification 2013-03-25 12:36:01 UTC
navin patidar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d91b5e739128cd8f4c3ef86c17cd723d5b292a2d&h=libreoffice-4-0

fix fdo#62050 : Initially disable RTL for comment window.


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.